coupang
POST/v2/providers/openapi/apis/api/v5/vendors/{vendorId}/returnShippingCentersv1

Create a return location

# 01

Summary

Available buyer market: Korea, Taiwan Create a return location. Sellers use this API to create more than one return locations. A created return location is used in the return info entered to list a product.

# 02

Details

Available buyer market: Korea, Taiwan
Create a return location.
Sellers use this API to create more than one return locations.
A created return location is used in the return info entered to list a product.
 
※ If you don't have a courier contract code, you can list a product without creating a return location, and for overseas shipping products a return location must be created. *Additional Guide (Click) 
 

Path

POST

/v2/providers/openapi/apis/api/v5/vendors/{vendorId}/returnShippingCenters

Example Endpoint

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v5/vendors/A00012345/returnShippingCenters

Request Parameters

Path Segment Parameter

Name Required Type Description
vendorId O String
Seller ID
Unique code issued to Vendor by Coupang
ex) A00012345

Body Parameter

Name Required Type Description
vendorId O String
Seller ID
Unique code issued to Vendor by Coupang
ex) A00012345
userId O String
User ID (log-in account for Coupang WING)
shippingPlaceName O String
Name of return location
goodsflowInfoOpenApiDto O Object
Courier info
  deliverCode   String
Courier code
CODE NAME
HYUNDAI Lotte Logistics
KGB Logen Logistics
EPOST Korea Post
HANJIN Hanjin Logistics
CJGLS CJ Logistics
ILYANG Ilyang Logistics
Only the above couriers can be registered for return shipping.
  deliverName   String
Name of courier
  contractNumber   String
Courier contract code
  contractCustomerNumber   String
Vendor code
Needed only when Korea Post is used
  vendorCreditFee05kg   Number
Credit fee on a product of 5kg (Seller credit)
Must be greater than 0

※ Requirements for the fee

  • Enter the fee agreed upon by Goodsflow courier, not that charged to Customer.
  • The fee entered may be paid even it is greater than agreed upon.
Subject: vendorCreditFee05kg~returnFee20kg
  vendorCreditFee10kg   Number
Credit fee on a product of 10kg (Seller credit)
Must be greater than 0
  vendorCreditFee20kg   Number
Credit fee on a product of 20kg (Seller credit) 
Must be greater than 0
  vendorCashFee05kg   Number
Upfront fee on a product of 5kg (Seller cash) 
Must be greater than 0
  vendorCashFee10kg   Number
Upfront fee on a product of 10kg (Seller cash)
Must be greater than 0
  vendorCashFee20kg   Number
Upfront fee on a product of 20kg (Seller cash)
Must be greater than 0
  consumerCashFee05kg   Number
On-arrival fee on a product of 5kg (Buyer cash)
Must be greater than 0
  consumerCashFee10kg   Number
On-arrival fee on a product of 10kg (Buyer cash)
Must be greater than 0
  consumerCashFee20kg   Number
On-arrival fee on a product of 20kg (Buyer cash)
Must be greater than 0
  returnFee05kg   Number
Return fee on a product of 5kg
Must be greater than 0
  returnFee10kg   Number
Return fee on a product of 10kg
Must be greater than 0
  returnFee20kg   Number
Return fee on a product of 20kg
Must be greater than 0
placeAddresses O Array
Address of return location
  addressType   String
Address type 
JIBUN, JIBUN&ROADNAME
CODE Mean
JIBUN Land lot number
ROADNAME Road name
  companyContactNumber   String
 
  Min~Max
x 2~4 digits
y 3~4 digits
z 4 digits
  phoneNumber2   String
Secondary phone number (format: Same as Phone Number 1)
  returnZipCode   String
Zip code: Numeric, min. 5 digits and max. 6 digits
  returnAddress   String
Address, max. length of 150
  returnAddressDetail   String
Detailed address, max. length of 200
Example
{
  "userId": "coupang20",
  "vendorId": "A00012345",
  "shippingPlaceName": "반품지01",
  "goodsflowInfoOpenApiDto": {
    "deliverCode": "CJGLS",
    "contractNumber": "85500067",
    "contractCustomerNumber": "",
    "vendorCreditFee05kg": "2500",
    "vendorCreditFee10kg": "2500",
    "vendorCreditFee20kg": "2500",
    "vendorCashFee05kg": "2500",
    "vendorCashFee10kg": "2500",
    "vendorCashFee20kg": "2500",
    "consumerCashFee05kg": "2500",
    "consumerCashFee10kg": "2500",
    "consumerCashFee20kg": "2500",
    "returnFee05kg": "2500",
    "returnFee10kg": "2500",
    "returnFee20kg": "2500"
  },
  "placeAddresses": [
    {
      "addressType": "JIBUN",
      "companyContactNumber": "02-1234-5678",
      "phoneNumber2": "",
      "returnZipCode": "112207",
      "returnAddress": "경기도 파주시 탄현면 월롱산로",
      "returnAddressDetail": "294-58"
    }
  ]
}

Response Message

Name Type Description
code Number
Server response code
message String
Server response message
data Array
Result of creating return location
  resultCode String
Result code
SUCCESS or FAIL
  resultMessage String
Result message (return location code)
returnCenterCode

Response Example

{
  "code": "200",
  "message": "SUCCESS",
  "data": {
    "resultCode": "SUCCESS",
    "resultMessage": "1100044670"
  }
}

Error Spec

HTTP status code (error type) Error message How to resolve
400 (check request parameter)

Registered service request info already exists.

Check if the return location with the same name (shippingPlaceName) or address (returnAddress, returnAddressDetail) already exists. It's impossible to double-register one return location with the same name or address.

400 (check request parameter) [Duplicate Shipping Location] The address name is already registered (Duplicate address code: 1000*******).

Check if a return location with the same name (shippingPlaceName) is already registered. Do not double-register one return location.

400 (Duplicate entry) [Duplicate shipping location] Duplicated request. name:xxxxx

Check if the same returnAddress value was entered.

500 (check request parameter) shipping-places create error.

Check if the courier contract code (contractNumber) is correct.

500 (check request parameter)

It has been registered, but contract confirmation has failed.

Check if the courier contract code (contractNumber) is correct.

400 (Request parameter check) Please input the correct phone number format including numbers and '-' (min 9, max 13) Check if companyContactNumber or phoneNumber2 value was entered in the right format. It should be 9 ~ 13 digits including '-'.
500 (check request parameter)

Server error (unknown/new error)

Check if the vendor code (contractCustomerNumber) is correct. This value is required only if the courier is Korea Post (EPOST).

400 (check request parameter)

Invalid vendor ID

Check if the vendorID value is correct

400 (check request parameter)

The vendorId in path or requestBody doesn't match the one got from api-gateway.

Check if the seller ID (VendorId) is correct.

URL API Name

UPDATE_SHIPPING_CENTER_BY_VENDOR